> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all warehouses



## OpenAPI

````yaml get /v2/inventory/warehouses/list
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v2/inventory/warehouses/list:
    get:
      tags:
        - Inventory V2
      summary: Get all warehouses
      operationId: get_warehouses
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WarehousesV2'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WarehousesV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WarehousesV2'
components:
  schemas:
    WarehousesV2:
      properties:
        success:
          type: boolean
          description: Success
          example: false
        errors:
          type: object
          description: Error details
        error_code:
          type: string
          description: Error Code
          example: ''
        message:
          type: string
          description: Message
          example: ''
        warehouses:
          type: array
          items:
            $ref: '#/components/schemas/WarehousesGetV2'
      type: object
    WarehousesGetV2:
      properties:
        warehouse_id:
          type: integer
          description: Warehouse ID
          example: 1
        name:
          type: string
          description: Warehouse Name
          example: Main Warehouse
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````